Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class Date

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Date

Direct Known Subclasses:
  Dat, DSim, Dtm, Tim

    public abstract class Date

extends Item

Date container.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static javax.xml.datatype.DatatypeFactory` | `df` Data factory.
`javax.xml.datatype.XMLGregorianCalendar` | `xc` Calendar instance.

Fields inherited from class org.basex.query.item.Item
`type`

Method Summary
`long` | `days()` Returns the days.
`int` | `diff(Item it)` Returns the difference between the current and the specified item.
`boolean` | `eq(Item it)` Checks the items for equality.
`java.lang.Object` | `java()` Returns a Java object.
`java.math.BigDecimal` | `seconds()` Returns the date in seconds.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.item.Item
`atomic, bool, castErr, comp, d, dbl, dec, duplicates, ebv, flt, hash, i, iter, iter, itr, n, name, node, plan, removable, returned, s, score, score, serialize, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### df

    public static javax.xml.datatype.DatatypeFactory df

  Data factory.

### xc

    public javax.xml.datatype.XMLGregorianCalendar xc

  Calendar instance.

Method Detail

### str

    public final byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### eq

    public final boolean eq(Item it)

  Description copied from class: `Item`
  Checks the items for equality.

  Specified by:
    `eq` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    result of check

### diff

    public int diff(Item it)
             throws QueryException

  Description copied from class: `Item`
  Returns the difference between the current and the specified item.

  Overrides:
    `diff` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    difference
  Throws:
    `QueryException` - evaluation exception

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `Item`

### java

    public final java.lang.Object java()

  Description copied from class: `Item`
  Returns a Java object.

  Overrides:
    `java` in class `Item`
  Returns:
    string representation

### seconds

    public java.math.BigDecimal seconds()

  Returns the date in seconds.

  Returns:
    seconds

### days

    public long days()

  Returns the days.

  Returns:
    seconds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD